import { EmptyEmailPasswordError } from './EmptyEmailPasswordError.js';
import { InvalidEmailPasswordError } from './InvalidEmailPasswordError.js';
import { PasswordError } from './PasswordError.js';
export var PasswordErrorsFactory = function PasswordErrorsFactory() {};
PasswordErrorsFactory.passwordError = function (msg) {
  return new PasswordError(msg);
};
PasswordErrorsFactory.emptyEmailPasswordError = function () {
  return new EmptyEmailPasswordError();
};
PasswordErrorsFactory.invalidEmailPasswordError = function () {
  return new InvalidEmailPasswordError();
};